PDF417Reader (ZXing 3.5.2 API)
Description: declaration: package: com.google.zxing.pdf417, class: PDF417Reader

Package com.google.zxing.pdf417

# Class PDF417Reader

java.lang.Object
com.google.zxing.pdf417.PDF417Reader

All Implemented Interfaces:
  `MultipleBarcodeReader`, `Reader`

public final class PDF417Reader extends Object implements Reader, MultipleBarcodeReader
This implementation can detect and decode PDF417 codes in an image.

Author:
  Guenther Grau

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PDF417Reader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Result`
  `decode(BinaryBitmap image)`
  Locates and decodes a PDF417 code in an image.
  `Result`
  `decode(BinaryBitmap image, Map<DecodeHintType,?> hints)`
  Locates and decodes a barcode in some format within an image.
  `Result[]`
  `decodeMultiple(BinaryBitmap image)`
  `Result[]`
  `decodeMultiple(BinaryBitmap image, Map<DecodeHintType,?> hints)`
  `void`
  `reset()`
  Resets any internal state the implementation has after a decode, to prepare it for reuse.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PDF417Reader

    public PDF417Reader()

- ## Method Details

  - ### decode

    public Result decode(BinaryBitmap image) throws NotFoundException, FormatException, ChecksumException
    Locates and decodes a PDF417 code in an image.
    Specified by:
      `decode` in interface `Reader`
    Parameters:
      `image` - image of barcode to decode
    Returns:
      a String representing the content encoded by the PDF417 code
    Throws:
      `NotFoundException` - if a PDF417 code cannot be found,
      `FormatException` - if a PDF417 cannot be decoded
      `ChecksumException` - if a potential barcode is found but does not pass its checksum

  - ### decode

    public Result decode(BinaryBitmap image, Map<DecodeHintType,?> hints) throws NotFoundException, FormatException, ChecksumException
    Description copied from interface: `Reader`
    Locates and decodes a barcode in some format within an image. This method also accepts hints, each possibly associated to some data, which may help the implementation decode.
    Specified by:
      `decode` in interface `Reader`
    Parameters:
      `image` - image of barcode to decode
      `hints` - passed as a `Map` from `DecodeHintType` to arbitrary data. The meaning of the data depends upon the hint type. The implementation may or may not do anything with these hints.
    Returns:
      String which the barcode encodes
    Throws:
      `NotFoundException` - if no potential barcode is found
      `FormatException` - if a potential barcode is found but format is invalid
      `ChecksumException` - if a potential barcode is found but does not pass its checksum

  - ### decodeMultiple

    public Result[] decodeMultiple(BinaryBitmap image) throws NotFoundException
    Specified by:
      `decodeMultiple` in interface `MultipleBarcodeReader`
    Throws:
      `NotFoundException`

  - ### decodeMultiple

    public Result[] decodeMultiple(BinaryBitmap image, Map<DecodeHintType,?> hints) throws NotFoundException
    Specified by:
      `decodeMultiple` in interface `MultipleBarcodeReader`
    Throws:
      `NotFoundException`

  - ### reset

    public void reset()
    Description copied from interface: `Reader`
    Resets any internal state the implementation has after a decode, to prepare it for reuse.
    Specified by:
      `reset` in interface `Reader`